Page MenuHomePhabricator

[LLD] Add -z nodlopen option
ClosedPublic

Authored by kettenis on Mar 19 2017, 3:46 AM.

Details

Summary

Add -z nodlopen option. This option sets the DF_1_NOOPEN flag, indicating that the generated DSO should not be dlopen'ed.

This option is used by one of the OpenBSD regression tests to check if the flag is respected by our dynamic linker.

Diff Detail

Event Timeline

kettenis created this revision.Mar 19 2017, 3:46 AM
davide accepted this revision.Mar 19 2017, 12:57 PM
davide added a subscriber: davide.

LGTM

This revision is now accepted and ready to land.Mar 19 2017, 12:57 PM
ruiu accepted this revision.Mar 20 2017, 8:39 AM

LGTM

brad added a subscriber: brad.Mar 22 2017, 5:57 PM

Please commit.

I'll run this through the testsuite and commit on your behalf soon.

davide closed this revision.Mar 30 2017, 1:18 PM